%
\begin{frame}%
    \frametitle{Supervised vs. unsupervised machine learning}%
    \begin{minipage}{\textwidth}
        \mbox{}%
        \begin{minipage}[t]{.49\textwidth}%
            \begin{block}{Supervised ML}%
                \begin{itemize}
                    \item Features $\Longrightarrow$ Labels
                    \item Training = sucess feedback loop
                    \item Classification, detection, segmentation
                \end{itemize}
            \end{block}%
            \includegraphics[width=.4\textwidth, clip, viewport=400 0 800 800]{419b17247355189a.jpg}
        \end{minipage}
        \hfill%
        \begin{minipage}[t]{.49\textwidth}%
            \begin{block}{Unsupervised ML}%
                \begin{itemize}
                    \item Data transformation
                        \begin{itemize}
                            \item[$\Rightarrow$] Visualization
                            \item[$\Rightarrow$] Compression
                            \item[$\Rightarrow$] Denoising
                            \item[$\Rightarrow$] Correlation analysis
                        \end{itemize}
                    \item Dimensionality reduction, clustering
                \end{itemize}
            \end{block}%
            \includegraphics[width=\textwidth, clip]{PCA_signal}
        \end{minipage}
    \end{minipage}
    % \only<2->{
    %     \begin{block}{Not discussed}
    %         \begin{itemize}
    %             \item Self-supervised learning (e.g. autoencoders, sequence predictors)
    %             \item Reinforcement learning (e.g. DeepMind, autonomous driving)
    %         \end{itemize}
    %     \end{block}
    % }
    \end{frame}%
%
